## ldp-lkmpg 1.0.1-1

=== module-programming-guide-1.0.1.examples/03_procfs/Makefile ===
# Makefile for a basic kernel module

CC=gcc
MODCFLAGS := -O6 -Wall -DCONFIG_KERNELD -DMODULE -D__KERNEL__ -DLINUX

procfs.o:	procfs.c /usr/include/linux/version.h
		$(CC) $(MODCFLAGS) -c procfs.c

=== module-programming-guide-1.0.1.examples/06_params/Makefile ===
# Makefile for a basic kernel module

CC=gcc
MODCFLAGS := -O6 -Wall -DCONFIG_KERNELD -DMODULE -D__KERNEL__ -DLINUX

param.o:	param.c /usr/include/linux/version.h
		$(CC) $(MODCFLAGS) -c param.c

=== module-programming-guide-1.0.1.examples/08_sleep/Makefile ===
# Makefile for a basic kernel module

CC=gcc
MODCFLAGS := -O6 -Wall -DCONFIG_KERNELD -DMODULE -D__KERNEL__ -DLINUX

all: sleep.o cat_noblock

sleep.o:	sleep.c /usr/include/linux/version.h
		$(CC) $(MODCFLAGS) -c sleep.c

cat_noblock:	cat_noblock.c
		$(CC) -o cat_noblock cat_noblock.c

=== module-programming-guide-1.0.1.examples/10_sched/Makefile ===
# Makefile for a basic kernel module

CC=gcc
MODCFLAGS := -O6 -Wall -DCONFIG_KERNELD -DMODULE -D__KERNEL__ -DLINUX

sched.o:	sched.c /usr/include/linux/version.h
		$(CC) $(MODCFLAGS) -c sched.c

=== module-programming-guide-1.0.1.examples/11_intrp/Makefile ===
# Makefile for a basic kernel module

CC=gcc
MODCFLAGS := -O6 -Wall -DCONFIG_KERNELD -DMODULE -D__KERNEL__ -DLINUX

intrpt.o:	intrpt.c /usr/include/linux/version.h
		$(CC) $(MODCFLAGS) -c intrpt.c
		echo This module will kill your machine, and you\'ll have
		echo no way of rebooting it nicely. Before you do insmod,
		echo do a "sleep 120 \; reboot" in another terminal\!

=== debian/changelog ===
ldp-lkmpg (1.0.1-1) unstable; urgency=low

  * Initial Release.
  * Package of Linux Kernel Module Programming Guide (ver 1.0.1) of LDP.
  * Added html version and postscript version.
  * Included script for doc-base configuration.  

 -- Andrea Fanfani <andrea@debian.org>  Sat,  3 Apr 1999 18:01:18 +0200

Local variables:
mode: debian-changelog
add-log-mailing-address: "andrea@debian.org"
End:

=== debian/control ===
Source: ldp-lkmpg
Section: doc
Priority: optional
Maintainer: Andrea Fanfani <andrea@debian.org>
Standards-Version: 2.4.0.0

Package: ldp-lkmpg
Architecture: all
Suggests: doc-base
Description: HTML, PS version of Linux Kernel Module Programming Guide (1.0.1).
 This is the Linux Kernel Module Programming Guide, one of the documents
 of the Linux Documentation Project.
 The Linux Documentation Project (LDP) is working on developing good,
 reliable documentation for the Linux operating system.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# This version is for packages that are architecture independent.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PACKAGE_NAME := ldp-lkmpg

PREFIX_NAME  := debian/tmp
INSTALL_FILE := install -o root -g root -m 644 
SHAREDIR := $(PREFIX_NAME)/usr/share
MAKE_DIR := install -d -o root -g root -m 755

build: build-stamp
build-stamp:
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp
	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs



# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	
	$(MAKE_DIR) $(SHAREDIR)/doc-base 
	$(INSTALL_FILE) `pwd`/$(PACKAGE_NAME).desc $(SHAREDIR)/doc-base/$(PACKAGE_NAME)
        
	dh_installdeb	
	dh_installdocs  `pwd`/module*
	dh_installchangelogs
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
